std::money_base(3)

NAME
std::money_base -

SYNOPSIS

Inherited by moneypunct.

Detailed Description

This class contains an ordered array of 4 fields to represent the pattern for formatting a money amount. Each field may contain one entry from the part enum. symbol, sign, and value must be present and the remaining field must contain either none or space.

See also:
    moneypunct::pos_format() and moneypunct::neg_format() for details of how these fields are interpreted.

Definition at line 3447 of file locale_facets.h.

  Public Types
enum { _S_minus, _S_zero, _S_end }
_S_end
_S_minus
_S_zero
none
enum part { none, space, symbol, sign, value }
sign
space
symbol
value

  Static Public Member Functions
static pattern _S_construct_pattern (char __precedes, char __space, char __posn)

  Static Public Attributes
static const char * _S_atoms
static const pattern _S_default_pattern

  Classes
struct pattern

Author

Generated automatically by Doxygen for libstdc++ from the source code.